package com.brilliance.isc.swift.objmtconvert.model.mt1xx.tag.tag192;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt1xx.MT192Creator;

public class Tag11SCreator extends AbsTagCreate {
    private MT192Creator mt192Creator;

    public Tag11SCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt192Creator= (MT192Creator) absMTCreator;
    }

    public void creator()
    {
        String tag11SValue = mt192Creator.getMtandDateoftheOriginalMessage();
        mt192Creator.set("11S", tag11SValue);
    }
}
